## osso-pdf-viewer 1.3.61-0

=== debian/changelog ===
osso-pdf-viewer (1.3.61-0) unstable; urgency=low

  * applied Olev's patch for mem leaks

 -- Ouyang Qi <qi.ouyang@nokia.com>  Fri, 18 May 2007 16:15:15 +0300

osso-pdf-viewer (1.3.60-0) unstable; urgency=low

  * Fixes: NB#56759 Application crashes when open file from FM in memory full condition.
  * Fixes: NB#56758 Application crashes when open password protected PDF file from MMC when device memory is 99% full.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Fri, 18 May 2007 16:15:15 +0300

osso-pdf-viewer (1.3.59-0) unstable; urgency=low

  * Fixes: NB#49409 PDF viewer leaks 16KB per page switch
  * Fixes: NB#51388 Showing same name (some garbage value)for all recently open file in recent list.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 12 Feb 2007 16:15:15 +0300

osso-pdf-viewer (1.3.55-0) unstable; urgency=low

  * Fixes: NB#49571 Unable to open a pdf file which is stored in Gateway's folder.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 15 Jan 2007 16:15:15 +0300

osso-pdf-viewer (1.3.54-0) unstable; urgency=low

  * Fixes: NB#50026 PDF viewer; Info banners are shown behind application menu
  * Fixes: NB#29848 Time to close the PDF viewer application is 2465ms.
  * Fixes: NB#50328 Fullscreen hard key doesnot work while opening the pdf file.
  * Fixes: NB#49896 All the menu and toolbar options are woriking while opening page from switch to page dialog.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 8 Jan 2007 16:15:15 +0300

osso-pdf-viewer (1.3.52-0) unstable; urgency=low

  * Fixes: NB#50023 Resent list is always empty.
  * Fixes: NB#49905 No debug symbol package for osso-pdf-viewer

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 22 Dec 2006 16:15:15 +0300

osso-pdf-viewer (1.3.51-0) unstable; urgency=low

  * Fixes: NB#49893 Problems while zooming the pdf viewer.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 11 Dec 2006 16:15:15 +0300

osso-pdf-viewer (1.3.50-0) unstable; urgency=low

  * Fixes: NB#45957 Long press of "Esc" key executes several events instead of just closing the topmost view
  * Fixes: NB#48583 pdf viewer does not initialize dbus for threads
  * Fixes: NB#48966 Switch to page dialog remains open when open another file from FM.
  * Fixes: NB#47283 Select button opens "Open pdf doc.." dialogue while opening pdf from GW.
  * Fixes: NB#49109 Unable to launch menu while opening document/new page..
  * Fixes: NB#46469 Recent menu option is not dimmed while Opening/Zooming pdf file..
  * Fixes: NB#49199 Pdf Viewer hangs while opening a password protected file.
  * Fixes: NB#44917 User can open pdf CSM over notes application.
  * Fixes: NB#49656 PDF viewer doesn't restore the correct page
  * Fixes: NB#49708 "Minimun zoom level reached" info display below CSM menu.
  * Fixes: NB#46640 Zooming from 200 - 250 % of pdf image changes the image position
  * Fixes: NB#45209 PDF viewer doesn't render all of the page at largest zoom level

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 11 Dec 2006 16:15:15 +0300

osso-pdf-viewer (1.3.49-2) unstable; urgency=low

  * Fixes: NB#46672 Zooming info banner does not go off on selecting fit page/fit width.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Dec 2006 16:15:15 +0300

osso-pdf-viewer (1.3.49-1) unstable; urgency=low

  * Fixes: NB#48554 Info banner is not visible in perticular language

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Dec 2006 16:15:15 +0300

osso-pdf-viewer (1.3.49-0) unstable; urgency=low

  * Fixes: NB#47800 Empty Info banner displayed before closing PDF file which is opened from Gateway..
  * Fixes: NB#46781 PDF viewer crashes when it's background killed
  * Fixes: NB#46530 Pdf viewer application crashes when file is opened from MMC in full memeory condition.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Dec 2006 16:15:15 +0300

osso-pdf-viewer (1.3.48-3) unstable; urgency=low

  * Fixes: NB#48433 Toolbar options working when they are dimmed

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 27 Nov 2006 16:15:15 +0300

osso-pdf-viewer (1.3.48-2) unstable; urgency=low

  * Fixes: NB#46418 Device UI freezed when navigating between PDF UserGuide pages
  * Fixes: NB#46718 Long Press of Right navigation key leads to pdf application crash for empty pdf file..
  * Fixes: NB#46916 Pdf viewer application crashes while tapping on hide/Unhide button continuously.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 27 Nov 2006 15:15:15 +0300

osso-pdf-viewer (1.3.48-1) unstable; urgency=low

  * Fixes: NB#48254 PDF has 770 string in the source

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 23 Nov 2006 15:15:15 +0300

osso-pdf-viewer (1.3.47-0) unstable; urgency=low

  * Fixes: NB#42572 The point of content view before and after Full Screen mode should be same

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 20 Nov 2006 15:15:15 +0300

osso-pdf-viewer (1.3.46-0) unstable; urgency=low

  * Fixes: NB#46730 Pdf viewer application crashes while minimising & maximising the application.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 13 Nov 2006 15:15:15 +0300

osso-pdf-viewer (1.3.45-0) unstable; urgency=low

  * Fixes: NB#40970 PDF Reader application crashes while opening a pdf file through Recent menu, which is loaded in GW, in Offline mode.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 6 Nov 2006 15:15:15 +0300

osso-pdf-viewer (1.3.43-1) unstable; urgency=low

  * Fixes: NB#42572 The point of content view before and after Full Screen mode should be same
  * Fixes: NB#41118 Extra string "%20" added in file name when open from gateway.
  * Fixes: NB#41500 Details dialogue does not disappear after removing mmc.
  * Fixes: NB#40053 Details of previous opend file remains open on screen when open new pdf from file maneger.
  * Fixes: NB#41408 Recent menu not getting updated after removing MMC from

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 23 Oct 2006 15:15:15 +0300

osso-pdf-viewer (1.3.42-0) unstable; urgency=low

  * Fixes: NB#40967 Not showing any info when tap on dimmed details of CSM menu

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 16 Oct 2006 15:15:15 +0300
 


