## osso-pdf-viewer 1.4.41-0

=== debian/changelog ===
osso-pdf-viewer (1.4.41-0) unstable; urgency=low

  * Fixes: NB#71771 PDF reader crashed while opening multiple files just after
    flashing.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 03 Oct 2007 17:15:00 +0300

osso-pdf-viewer (1.4.40-0) unstable; urgency=low

  * Fixes: NB#71097 Application crashes.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 26 Sep 2007 16:50:00 +0300

osso-pdf-viewer (1.4.39-0) unstable; urgency=low

  * Fixes: NB#70351 Save documents dialog opened Tapping on ctrl + s

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 20 Sep 2007 14:50:02 +0300

osso-pdf-viewer (1.4.38-0) unstable; urgency=low

  * Fixes: NB#68994 Info banner not  correct after MMC removed from the slot
    while viewing PDF file.
  * fixed a bugid in previous release, 6696 == 66696
  * Return the correct value at ask_loading/saving
  * Fixes: NB#69814 would be reasonable to enable floating point for PDF Reader
  * Fixes: NB#69826 PDF viewer adds 8 MB VSZ per page switch or zoom

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 17 Sep 2007 15:05:30 +0300

osso-pdf-viewer (1.4.37-0) unstable; urgency=low

  * Fixes: NB#67965 PDF Reader crashes under memory full condition
  * Fixes: NB#68251 Zoom is not activated by single press of Zoom HW key.
  * Fixes: NB#68739 Long press of Esc hard key : View switched to normal mode before closing in full-screen-mode
  * Fixes: NB#66696 Long press of Esc key does not close PDF reader while opening document.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue,  4 Sep 2007 15:10:49 +0300

osso-pdf-viewer (1.4.36-0) unstable; urgency=low

  * Fixes: NB#67066 No action while tapping on fsm for empty pdf.
  * Fixes: NB#67759 Application hangs with long press of Right navigation key.
  * Fixes: NB#67787 PDF Reader does not support all PDF formats but opens files anyway

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon,  3 Sep 2007 14:05:39 +0300

osso-pdf-viewer (1.4.35-1) unstable; urgency=low

  * debian/changelog

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 29 Aug 2007 12:08:44 +0300

osso-pdf-viewer (1.4.35-0) unstable; urgency=low

  * Fixes: NB#53030 [EXT] PDF reader should advance to next page when page boundry reaches while scrolling in zoomed mode
  * Fixes: NB#65303 Show images not working for the document opened from shared media
  * Fixes: NB#66535 Horizontal scroll bar displayed even if the document fit within the available display
  * Fixes: NB#66695 HW Navigation keys not working while opening document.
  * Fixes: NB#66697 Open document dialog launched automatically in mentioned scenario
  * Fixes: NB#52855 PDF viewer consumes extra memory by not consting arrays which contents don't change
  * removed unused dependency

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 24 Aug 2007 18:09:09 +0300

osso-pdf-viewer (1.4.34-0) unstable; urgency=low

  * Remove one critical warning
  * Fixes: NB#65741 Full screen key behaviour is not correct.
  * Fixes: NB#53030 [EXT] PDF reader should advance to next page when page boundry reaches while scrolling in zoomed mode
  * Fixes: NB#52967 PDF Reader shall be compiled with -fPIC
  * Fixes: NB#63742 PDF; Some junk characters are shown in file details

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 15 Aug 2007 17:48:38 +0300

osso-pdf-viewer (1.4.33-0) unstable; urgency=low

  * Fixes: NB#64344 Device hangs and reboots while zooming the single page pdf document
  * Fixes: NB#65255 Problems while saving document to local(device) memory
  * Fixes: NB#65196 Open pdf document dialog launched with shortcut keys Ctrl+o while saving document
  * Fixes: NB#65201 No information banner displayed when tapped on dimmed open.. menu option
  * Fixes: NB#65174 Inconsistent behaviour with long press of select hard key
  * Fixes: NB#65144 Corrupted file opening does not give error notification.
  * Fixes: NB#65476 Font colour changes with Hide Image option.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed,  8 Aug 2007 15:19:22 +0300

osso-pdf-viewer (1.4.32-0) unstable; urgency=low

  * Fixes: NB#64552 Hard keys not functioning while opening/zooming pdf document
  * Fixes: NB#64499 PDF reader failed to open password protected document from BT device and application crashes
  * Fixes: NB#64607 Not able to accept /cancel Switch to page dialog with hardware key.
  * Fixes: NB#62754 HW navigation keys not in synch with menu and toolbar options when PDF viewer is empty
  * Fixes: NB#64361 No info banner displayed on tapping dimmed switch to page toolbar option
  * Fixes: NB#64370 No action for 'OK" button in switch to page dialog,if number greater than maximum number is entered.
  * Fixes: NB#64244 PDF Reader - Saving PDF from browser has wrong default folder handling
  * Fixes: NB#64758 Tool bar is not responding when open file from gateway.
  * Fixes: NB#62346 Left/Right arrows in FSM should be in synch with toolbar and menu Next/Prev page options

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 30 Jul 2007 12:44:29 +0300

osso-pdf-viewer (1.4.31-0) unstable; urgency=low

  * Fixes: NB#64344 Device hangs and reboots while zooming the single page pdf document
  * Fixes: NB#64336 Zoom hard keys not in synch with toolbar and menu zoom options
  * Fixes: NB#63821 Contents displayed in full screen is not same as normal screen mode
  * Fixes: NB#64409 PDF reader failed to open supported pdf document

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 26 Jul 2007 14:29:52 +0300

osso-pdf-viewer (1.4.30-0) unstable; urgency=low

  * Fixes: NB#63251 Device hangs while navigating through pages in FSM
  * Fixes: NB#63639 Document saved with save as.. option is not opened

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 18 Jul 2007 15:31:28 +0300

osso-pdf-viewer (1.4.28-0) unstable; urgency=low

  * Fixes: NB#62133 Open PDF file dialog displays root folder instead of default one 
  * Fixes: NB#52006 The number editor in Pdf Viewer goes on a loop after reaching the maximum value.

