=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEBDIR = ..
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -13,8 +14,14 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-CFLAGS = -Wall -g
+CFLAGS = -Werror -Wall -g
 PACKAGENAME = osso-pdf-viewer
+
+ifneq (,$(findstring logdebug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -DDEBUG -DOSSOLOG_COMPILE -DOSSOLOG_STDOUT -g
+else
+	CFLAGS += -DG_DEBUG_DISABLE=1
+endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g -O0
@@ -22,9 +29,14 @@
 	CFLAGS += -O2
 endif
 
-# Use soft-float and thumb mode if it enabled. 
+# Prefer hardware floating point if enabled
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+else
+# Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
+endif
 endif
 
 CPPFLAGS += $(CFLAGS)
@@ -40,8 +52,8 @@
 endif
 ifeq "$(strip $(LAUNCHER))" "yes"
 	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
-	LAUNCHER_CFLAGS = -shared
-	LAUNCHER_LDFLAGS = -shared -export-dynamic
+	LAUNCHER_CFLAGS = $(shell pkg-config --cflags maemo-launcher-app)
+	LAUNCHER_LDFLAGS = $(shell pkg-config --libs maemo-launcher-app) -export-dynamic 
 endif
 
 config.status: configure
@@ -94,15 +106,6 @@
 	# Add here commands to install the package into debian/osso-pdf-viewer.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
-	# Install locale stuff 
-	# TODO deprecated!
-#	mkdir -p $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)
-#	cp po/*.po po/porules.mk $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/
-#	cp -a po/debian $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/
-#	cp debian/$(PACKAGENAME)-l10n-{dede,engb,enus,eses,esmx,fifi,frca,frfr,itit,ptbr,ruru}.install $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/debian/
-#	cp debian/copyright $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/debian/
-#	sed -r -e "s/^([a-z0-9-]+) /\1-l10n-src /g" debian/changelog > $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/debian/changelog
-        
 	# mime type
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/mime/packages
 	cp $(CURDIR)/data/osso-pdf-viewer.xml $(CURDIR)/debian/tmp/usr/share/mime/packages
@@ -123,32 +126,19 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
 	dh_install --sourcedir=debian/tmp -v
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime -posso-pdf-viewer
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-#	dh_installman
 	dh_link
 	dh_strip --dbg-package=osso-pdf-viewer
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_python
-#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb --destdir=$(DEBDIR)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
