## osso-pdf-viewer 1.5.35-1

=== debian/changelog ===
osso-pdf-viewer (1.5.35-1) unstable; urgency=low

  * Fixes: NB#87157 Information banner about encrypted document is not shown properly

 -- Sandeep Sundaram  <sandeep.sundaram@nokia.com>  Mon, 26 Aug 2008 11:50:06 +0530

osso-pdf-viewer (1.5.18-0) gutsy; urgency=low

  * Dropping build dep on osso-email-interface

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 28 Apr 2008 15:10:26 +0200

osso-pdf-viewer (1.5.15-0) unstable; urgency=low

  * Fixes: NB#83110 PDF reader crashed while viewing from shared folder
  * Fixes: NB#82997 PDF reader application hanged in this below scenario

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 31 Mar 2008 17:17:09 +0200

osso-pdf-viewer (1.5.14-0) unstable; urgency=low

  * Fixes: NB#79935 PDF reader crashed while viewing under memory full condition
  * Fixes: NB#77297 PDF; Some junk characters are shown in file details
  * Fixes: NB#82981 Pdf file get corrupted while saving to MMC

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 31 Mar 2008 09:57:23 +0200

osso-pdf-viewer (1.5.12-0) unstable; urgency=low

  * Fixes: NB#77147 PDF reader should come to foreground without actually opening the next file
  * Fixes: NB#77176 'Open PDF document ' dialog pointing to wrong folder after opening a corrupted file.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 14 Mar 2008 14:27:27 +0100

osso-pdf-viewer (1.5.11-0) unstable; urgency=low

  * Fixes: NB#80515 PDF Reader crashing

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 10 Mar 2008 11:50:06 +0100

osso-pdf-viewer (1.5.10-0) unstable; urgency=low

  * Fixes: NB#77092 PDF document doesn't show images for SMB files

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 03 Mar 2008 15:03:34 +0100

osso-pdf-viewer (1.5.06-0) unstable; urgency=low

  * Fixes: NB#79761 PDF reader Crashes while Opening

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 28 Jan 2008 12:28:58 +0200

osso-pdf-viewer (1.4.52-0) unstable; urgency=low

  * Fixes: NB#78353 PDF Viewer compilation failed using gcc 4.2 toolchain

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 17 Dec 2007 18:16:48 +0200

osso-pdf-viewer (1.4.49-0) unstable; urgency=low

  * Fixes: NB#77301 MMC is unreadable after its removal while in use by PDF Reader

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 30 Nov 2007 12:14:23 +0200
