=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-CFLAGS = -Werror -Wall -g
+CFLAGS = -Wall -g
 PACKAGENAME = osso-pdf-viewer
 
 ifneq (,$(findstring logdebug,$(DEB_BUILD_OPTIONS)))
