## osso-pdf-viewer 1.6.40-1+0m5

=== debian/changelog ===
osso-pdf-viewer (1.6.40-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Hunalli Mallikarjun Channappa <mallikarjun.hunalli@nokia.com>  Wed, 30 Sep 2009 16:57:54 +0300

osso-pdf-viewer (1.6.40-1) unstable; urgency=low
    
  * Fixes: NB#139936 hildon_gtk_window_take_screenshot doesn't take a
    screenshot

 -- Maske Amish <amish.maske@nokia.com>  Wed, 30 Sep 2009 13:00:00 +0530

osso-pdf-viewer (1.6.33-1) unstable; urgency=low
    
  * Fixes: NB#130623 pdf viewer needs to support global safe folders

 -- Maske Amish <amish.maske@nokia.com>  Thu, 13 Aug 2009 13:00:00 +0530

osso-pdf-viewer (1.6.31-1) unstable; urgency=low
    
  * Coverity fix for week 31

 -- Maske Amish <amish.maske@nokia.com>  Tue, 28 July 2009 13:00:00 +0530

osso-pdf-viewer (1.6.30-2) unstable; urgency=low
    
  * Changelog error updated.

 -- Maske Amish <amish.maske@nokia.com>  Wed, 22 July 2009 13:00:00 +0530

osso-pdf-viewer (1.6.30-1) unstable; urgency=low
    
  * Fixes: NB#125680 application tool bar have seperator in PDF application

 -- Maske Amish <amish.maske@nokia.com>  Wed, 22 July 2009 13:00:00 +0530

osso-pdf-viewer (1.6.29-1) unstable; urgency=low
    
  * Fixes: NB#120468 Space in file name is replaced by %20 while saving a pdf
                     opened from e-mail

 -- Maske Amish <amish.maske@nokia.com>  Tue, 14 July 2009 13:00:00 +0530

osso-pdf-viewer (1.6.27-2) unstable; urgency=low
    
  * Fixes: NB#124200 pdf reader csm menu is having icons or symbols on it

 -- Maske Amish <amish.maske@nokia.com>  Mon, 29 Jun 2009 13:00:00 +0530

osso-pdf-viewer (1.6.27-1) unstable; urgency=low
    
  * Fixes: NB#124225 "Not available" info banner is displayed when the user taps in between last page and first page
                      icons using stylus
  * Fixes: NB#124590 {NEW UI MENU CHANGE}"Opening" information banner is
                     displayed during page navigation
  * Fixes: NB#124573 Black image displayed along with navigation icon in the
                     full screen
  * Fixes: NB#124556 "Maximum zoom level reached" and "Minimum zoom level
                     reached" info banners are not displayed in the pdf reader application 
  * Fixes: NB#125140 PDF application hangs with device  , reboot
                     is required to use device even can not bringup switch off dialog
  * Fixes: NB#125147 PDF application crashing after pressing enter key	 

 -- Maske Amish <amish.maske@nokia.com>  Mon, 29 Jun 2009 13:00:00 +0530

osso-pdf-viewer (1.6.26-2) unstable; urgency=low
    
  * Fixes: NB#124358 {NEW UI CHANGES}"Zooming" info banner needs to remove
    from the pdf reader application

  * Fixes: NB#124234 Need to remove "Not available" info banner from the pdf
                     reader ui spec

 -- Maske Amish <amish.maske@nokia.com>  Wed, 24 Jun 2009 13:00:00 +0530

osso-pdf-viewer (1.6.26-1) unstable; urgency=low
    
  * Fixes: NB#119090 Update PDF Viewer menu to Hildon 2.2

 -- Maske Amish <amish.maske@nokia.com>  Mon, 22 Jun 2009 13:00:00 +0530

osso-pdf-viewer (1.6.25-2) unstable; urgency=low
 
    * Taken care of compiling errors in callbacks.c   

 -- Maske Amish <amish.maske@nokia.com>  Mon, 15 Jun 2009 13:00:00 +0530

osso-pdf-viewer (1.6.25-1) unstable; urgency=low
    
  * Fixes: NB#115667 In PDF, two overlay buttons are displayed while scrolling
                     in full screen mode.
  * Fixes: NB#107287 Recent list is not updated when the pdf document is
                     opened from the email attachment

 -- Maske Amish <amish.maske@nokia.com>  Sat, 13 Jun 2009 13:00:00 +0530

osso-pdf-viewer (1.6.24-1) unstable; urgency=low
    
  * Fixes: changed control file for libhildonfm2 version check

 -- Maske Amish <amish.maske@nokia.com>  Tue, 09 Jun 2009 13:00:00 +0530

osso-pdf-viewer (1.6.22-1) unstable; urgency=low
    
  * Fixes: NB#113791 All the four edges of the pdf document is not displayed
                     properly inside the pdf application area
  * Fixes: NB#119029 Space shortcut is not working in pdf application

 -- Maske Amish <amish.maske@nokia.com>  Fri, 29 May 2009 13:00:00 +0530

osso-pdf-viewer (1.6.21-1) unstable; urgency=low
    
  * Fixes: NB#118061 could not save pdf documents after opening from email
                     attachment
  * Fixes: NB#118033 Device default folders (Documents ,audio , coredump) are missing
                     in the "open pdf document" dialog

 -- Maske Amish <amish.maske@nokia.com>  Web, 21 May 2009 13:00:00 +0530

osso-pdf-viewer (1.6.19-1) unstable; urgency=low
    
  * Fixes: NB#96960 Multi tap on the full screen icon in full screen pdf
                    reader disappears

 -- Maske Amish <amish.maske@nokia.com>  Web, 06 May 2009 13:00:00 +0530

osso-pdf-viewer (1.6.18-1) unstable; urgency=low
    
  * Fixes: NB#113188 up button is not be of finger size in open pdf dialog

 -- Maske Amish <amish.maske@nokia.com>  Tue, 28 Apr 2009 13:00:00 +0530

osso-pdf-viewer (1.6.17-1) unstable; urgency=low
    
  * Fixes: NB#105452 icon is missing for zoom in and full screen in
                     application tool bar

 -- Maske Amish <amish.maske@nokia.com>  Fri, 24 Apr 2009 13:00:00 +0530

osso-pdf-viewer (1.6.16-2) unstable; urgency=low
    
  * Fixes: NB#111154 Not able to move to normal mode after opening a corrupted
                     pdf file in full screen mode.

 -- Maske Amish <amish.maske@nokia.com>  Fri, 17 Apr 2009 13:00:00 +0530

osso-pdf-viewer (1.6.16-1) unstable; urgency=low
    
  * Fixes: NB#106327 tmp folder is displayed after opening saved pdf document
                     from email application and browser

 -- Maske Amish <amish.maske@nokia.com>  Tue, 14 Apr 2009 13:00:00 +0530

osso-pdf-viewer (1.6.15-2) unstable; urgency=low
    
  * Fixes: NB#109537 pdf documents are not properly fitting in the application
                     area when the user selects Fit page and Fit width options from the pdf

