=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: osso-pdf-viewer
 Section: non-free/misc
 Priority: optional
-Maintainer: Qi Ouyang <qi.ouyang@nokia.com>
-Build-Depends: conbtdialogs-dev, debhelper (>= 4.0.0), libhildon1-dev,  libhildonfm2-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, libhildonhelp-dev, libhildonmime-dev, libcomapp-dev, maemo-launcher-dev
+Maintainer: Amish Maske <amish.maske@nokia.com>
+Build-Depends: conbtdialogs-dev, debhelper (>= 4.0.0), libhildon1-dev,  libhildonfm2-dev (>= 2.16.2), libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, libhildonmime-dev, libcomapp-dev, maemo-launcher-dev
 Standards-Version: 3.6.0
 
 Package: osso-pdf-viewer
