=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall -g -D__FREMANTLE_SW__
 PACKAGENAME = osso-pdf-viewer
 
 ifneq (,$(findstring logdebug,$(DEB_BUILD_OPTIONS)))
@@ -47,7 +47,7 @@
 endif
 
 # VG 2005.06.23: maemo-launcher dependency 
-ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
 	LAUNCHER = yes
 endif
 ifeq "$(strip $(LAUNCHER))" "yes"
