## osso-pdf-viewer 1.8.06-1+0m5

=== debian/changelog ===
osso-pdf-viewer (1.8.06-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Aravind Venkata <ext-aravind.taduturi@nokia.com>  Thu, 11 Feb 2010 11:57:54 +0200

osso-pdf-viewer (1.8.06-1) unstable; urgency=low

  * Fixes: NB#145129 PDF reader crashes always when opening attached PDF file

 -- Maske Amish <amish.maske@nokia.com>  Tue, 09 Feb 2010 2:54:00 +0530

osso-pdf-viewer (1.7.53-1) unstable; urgency=low

  * Fixes:

 -- Maske Amish <amish.maske@nokia.com>  Mon, 28 Dec 2009 2:39:00 +0530

osso-pdf-viewer (1.7.52-1) unstable; urgency=low

  * Fixes: NB#142095 PDF Reader.Context-sensitive menu options are too small

 -- Maske Amish <amish.maske@nokia.com>  Tue, 22 Dec 2009 11:35:00 +0530

osso-pdf-viewer (1.7.48-1) unstable; urgency=low

  * Fixes: NB#122966 PDF Viewer, Unnecessary colons within Details dialog
  * Fixes: NB#131156 "unable to save" information banner is missing

 -- Maske Amish <amish.maske@nokia.com>  Wed, 25 Nov 2009 15:10:00 +0530
