## osso-pdf-viewer 1.8.24-1+0m5

=== debian/changelog ===
osso-pdf-viewer (1.8.24-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.8.24-1+0m5

 -- Prashanth Shakthi <ext-shakthi.prashanth@nokia.com>  Thu, 17 Jun 2010 14:57:32 +0300

osso-pdf-viewer (1.8.24-1) unstable; urgency=low

  * Fixes: NB#170884 Unable to read attached PDF file using PR1.2 (19-1) build

 -- Maske Amish <amish.maske@nokia.com>  Wed, 16 Jun 2010 14:54:00 +0530
