## osso-pdf-viewer 1.8.24-2+0cssu3

=== debian/changelog ===
osso-pdf-viewer (1.8.24-2+0cssu3) unstable; urgency=low

  * Fixed bug #12187 and #12246.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 07 Aug 2011 15:21:23 +0300

osso-pdf-viewer (1.8.24-2+0cssu2) unstable; urgency=low

  * Forward-port of Diablo CSSU patches.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 30 May 2011 00:28:10 +0300

osso-pdf-viewer (1.8.24-2+0cssu1) unstable; urgency=low

  * Added portrait mode support

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat,  2 Apr 2011 20:57:41 +0300
