=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
+	CXXFLAGS += -mthumb
 endif
 endif
